#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-4uv9nIi4cXxBmrhKQQ8UPb
key:                  coinbase-pro-0.9.3.2-4uv9nIi4cXxBmrhKQQ8UPb
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  e932549b1dd04581f533deb6e579e15b
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-4uv9nIi4cXxBmrhKQQ8UPb
depends:
    HsOpenSSL-0.11.7.9-7fNKn5mliMI47tAp0Vn4HX
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99
    aeson-casing-0.2.0.0-9B4ZfZtkQ2qFBBMPZexQXx
    async-2.2.5-BuJk1pCvRYOCTk3w3YOF9n base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-3mLfpJxkVzr88gR7SfqxFT exceptions-0.10.4
    http-api-data-0.5.1-HxZs0LveN9nCMeQBj6eZr8
    http-client-0.7.17-1ftXmUPqqDoJ1PWJoUeHTZ
    http-client-tls-0.3.6.3-K3k8e1J3wiG6NYgYen926R
    http-streams-0.8.9.9-76nvCMOmpH6ANrVs9WEM3Y
    http-types-0.12.4-KqSMzybuwrg29XllKzuhVg
    io-streams-1.5.2.2-27mevNN08NvBjfoThwSYvA
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-TqaTt7QDPb46Ee5sVM3ZA
    servant-0.20.2-DfSNDOGYYA9ABGrnu3pwd8
    servant-client-0.20-1GHTd4A5LaRBMCzvXx3vsF
    servant-client-core-0.20.2-Is8rTb5SU6pKwuNfqfNzAZ
    tasty-1.4.3-4kxzLgBJKzgC8Lo1NTxC1p
    tasty-hunit-0.10.1-CjhiwAh3viLJ9cCi4z4HEt text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-F6dEBB0IStl2FFDMTG6RZG
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    uuid-1.3.16-6SXrF3fbtrD7JCx5kx9gRQ
    vector-0.13.1.0-IOwb1qSGKSdHIyg7Qp7MNu
    websockets-0.12.7.3-7U60WXERCB85kCbsrhqC85
    wuss-2.0.1.1-98uuzSFRbVJD92VeobE9fB

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

